cryptsetupの脆弱性(Moderate: CVE-2021-4122)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

01/14/2021にcryptsetupの脆弱性(Moderate: CVE-2021-4122)が公開されました。遅くなりましたが、今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



[過去の関連リンク]


Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2021-4122 cryptsetup < 2.4.3

Cryptsetup 2.4.3 Release Notes

Red Hat: 5.9 Moderate

Red Hat: CVSS:3.1/AV:P/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-4122
    • 特権昇格の可能性
    • 2.4.2までのcryptsetupではLUKS2のオンライン再暗号化拡張を通じてデータ漏洩の可能性があります。

      on-diskメタデータを編集できる攻撃者は、クラッシュした(終了していない)再暗号化ステップにおいて復号化をシミュレートすることにより、LUKSデバイスの一部を復号化することが可能です。
    • 詳しくは一次情報源を御確認ください。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

日々のメモを更新しています。

セキュリティ関係ニュースを更新しています。個別で情報出せるようになる前の簡単な情報・リンクなんかも載せていきます。

前へ

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jan 2022)

次へ

ClamAVの脆弱性(Important: CVE-2022-20698)